
<!-- related models-->


<div class=" w-full p-4 rounded-md shadow-md min-h-min bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 w-full">
  <header class="w-full flex flex-col sm:flex-row justify-between items-center gap-2 mb-4">
    <div class="flex items-center gap-2 flex-wrap md:flex-nowrap divide-x-4 divide-white/30 sm:divide-x-0">
      <div class="flex items-center divide-x-4 divide-white/30">
        <h4 aria-describedby="zovZ" tabindex="-1" class="pr-2 font-sans text-xl font-semibold text-white" style="overflow-wrap: break-word;">Relatad Webcams</h4>
    </div>
  </header>

  <div class="w-full sm:min-h-0 sm:w-auto sm:h-auto relative bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 min-h-fit p-4 rounded-lg grid grid-cols-2 sm:grid-cols-3 md:grid-cols-4 lg:md:grid-cols-5 xl:grid-cols-6 gap-4 lg:p-6">
    <!--webcams grid avos-->
    <? foreach ($related as $m): ?>
  <? if ($m['status'] != 'Offline'): ?>
  <div class="model_grid" data-site="<?= $m['site'] ?>" data-nickname="<?= $m['nickname'] ?>" style="    margin-bottom: 1rem;">
    <div>
<div class="relative overflow-hidden">
<? if($m['status'] == 'Freechat') $statuscolor = 'bg-green-600';?>
<? if($m['status'] != 'Freechat') $statuscolor = 'bg-red-600';?>
<? if($m['status'] == 'Freechat') $shadowcolor = 'shadow-green-500';?>
<? if($m['status'] != 'Freechat') $shadowcolor = 'shadow-red-500';?>
<a href="<?= encodeUrl('webcamsProfile', $m) ?>"
class="relative rounded-3xl pt-[100%] shadow-sm <?=$shadowcolor?>/50 hover:shadow-lg hover:shadow-green-400/80 transition-shadow w-full mx-auto shadow-md block">
<picture class="w-full h-full bg-black rounded-md shadow-md overflow-hidden <?= $m['nickname'] ?>-avatar" data-observer-id="<?= $m['id'] ?>">
<img width="128" height="128" alt="Discover <?= $m['nickname'] ?> from <?= $m['site'] ?>" src="<?= $m['imagePath'] ?><?= $m['numImages'] ?>.webp"
loading="lazy" class="absolute top-0 left-0 object-contain user-avatar-<?= $m['nickname'] ?> rounded-3xl blur-none object-cover shadow-md w-full h-full absolute inset-0">
</picture>

<span class="absolute w-3 h-3 <?= $statuscolor?> rounded-full shadow-sm bottom-4 -right-2 px-1.5 transform translate-y-5 -translate-x-3 animate-waves "></span>
</a>
<? if (gmdate("d",$m['addedOn']) < '14') :?>
<span class="absolute top-0 right-0 mt-1 mr-3 font-normal">
<span class="inline-flex items-center px-0.5 py-px sm:px-1.5 sm:py-0.5 rounded text-xxs tracking-wide leading-0 uppercase w-max text-gray-800 bg-white/75">New</span>
</span>
<? endif;?>
<p class="w-full flex justify-center mt-2">
<a href="<?= encodeUrl('webcamsProfile', $m) ?>" title="<?= $m['nickname'] ?>" class="w-full">
<span class="flex items-center justify-center gap-1 text-white text-xs font-bold text-center">
<span class="min-w-0 truncate"><?= $m['nickname'] ?></span> <sup class="font-normal text-xxs"><?= $m['age'] ?></sup></span>
</a>
</p>
<?if (strpos($m['tags'], 'lovense') !== false) :?>
<button class="absolute bottom-9 right-3 bg-white/75 rounded-full h-6 w-6 flex items-center justify-center text-meg-primary " id="toys"></button>
<? endif;?>

</div>
</div>
</div>
  <? endif; ?>
  <? endforeach; ?>
            <!--webcams grid avos-->
</div>
</div>
</div>

<!-- related models-->
